// TTDialog.cpp : implementation file
//

#include "stdafx.h"
#include "Tooltip.h"
#include "TTDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTTDialog dialog


CTTDialog::CTTDialog(UINT uID, CWnd* pParent /*=NULL*/)
	: CDialog(uID, pParent)
{
	//{{AFX_DATA_INIT(CTTDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CTTDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTTDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTTDialog, CDialog)
	//{{AFX_MSG_MAP(CTTDialog)
	//}}AFX_MSG_MAP
	ON_NOTIFY_EX(TTN_NEEDTEXT, 0, OnToolTipText)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTTDialog message handlers

BOOL CTTDialog::OnToolTipText(UINT, NMHDR* pNMHDR, LRESULT*)
{
	TOOLTIPTEXT* pTTT = (TOOLTIPTEXT*) pNMHDR;
	if(!(pTTT->uFlags & TTF_IDISHWND)) // the ID must be a Handle to a Window
		return FALSE;
	UINT uID = pNMHDR->idFrom;
	uID = ::GetDlgCtrlID((HWND) uID);
	CString strTipText;
	if(!strTipText.LoadString(uID))	// Load String resource
		return FALSE;
	strncpy(pTTT->lpszText, strTipText, 80); // Stuff text into Tool tip, 80 chars max
	return TRUE;    // message was handled
}

BOOL CTTDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	EnableToolTips(TRUE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
