// TTPropertyPage.cpp : implementation file
//

#include "stdafx.h"
#include "Tooltip.h"
#include "TTPropertyPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTTPropertyPage property page

IMPLEMENT_DYNCREATE(CTTPropertyPage, CPropertyPage)

CTTPropertyPage::CTTPropertyPage() : CPropertyPage()
{
}

CTTPropertyPage::CTTPropertyPage(UINT uID) : CPropertyPage(uID)
{
	//{{AFX_DATA_INIT(CTTPropertyPage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


CTTPropertyPage::~CTTPropertyPage()
{
}

void CTTPropertyPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTTPropertyPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CTTPropertyPage, CPropertyPage)
	//{{AFX_MSG_MAP(CTTPropertyPage)
	//}}AFX_MSG_MAP
	ON_NOTIFY_EX(TTN_NEEDTEXT, 0, OnToolTipText)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTTPropertyPage message handlers

BOOL CTTPropertyPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	EnableToolTips(TRUE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

BOOL CTTPropertyPage::OnToolTipText(UINT, NMHDR* pNMHDR, LRESULT*)
{
	TOOLTIPTEXT* pTTT = (TOOLTIPTEXT*) pNMHDR;
	if(!(pTTT->uFlags & TTF_IDISHWND)) // the ID must be a Handle to a Window
		return FALSE;
	UINT uID = pNMHDR->idFrom;
	uID = ::GetDlgCtrlID((HWND) uID);
	CString strTipText;
	if(!strTipText.LoadString(uID))	// Load String resource
		return FALSE;
	strncpy(pTTT->lpszText, strTipText, 80); // Stuff text into Tool tip, 80 chars max
	return TRUE;    // message was handled
}
