// TTPropertySheet.cpp : implementation file
//

#include "stdafx.h"
#include "Tooltip.h"
#include "TTPropertySheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTTPropertySheet

IMPLEMENT_DYNAMIC(CTTPropertySheet, CPropertySheet)

CTTPropertySheet::CTTPropertySheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CTTPropertySheet::CTTPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
}

CTTPropertySheet::~CTTPropertySheet()
{
}


BEGIN_MESSAGE_MAP(CTTPropertySheet, CPropertySheet)
	//{{AFX_MSG_MAP(CTTPropertySheet)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
	ON_NOTIFY_EX(TTN_NEEDTEXT, 0, OnToolTipText)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTTPropertySheet message handlers

BOOL CTTPropertySheet::OnInitDialog() 
{
	BOOL bResult = CPropertySheet::OnInitDialog();
	
	EnableToolTips(TRUE);
	
	return bResult;
}

BOOL CTTPropertySheet::OnToolTipText(UINT, NMHDR* pNMHDR, LRESULT*)
{
	TOOLTIPTEXT* pTTT = (TOOLTIPTEXT*) pNMHDR;
	if(!(pTTT->uFlags & TTF_IDISHWND)) // the ID must be a Handle to a Window
		return FALSE;
	UINT uID = pNMHDR->idFrom;
	uID = ::GetDlgCtrlID((HWND) uID);
	CString strTipText;
	if(!strTipText.LoadString(uID))	// Load String resource
		return FALSE;
	strncpy(pTTT->lpszText, strTipText, 80); // Stuff text into Tool tip, 80 chars max
	return TRUE;    // message was handled
}
